Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 471602 - [qt overlay] dev-qt/qtgui:5 needs x11-libs/libxcb with xkb enabled
Summary: [qt overlay] dev-qt/qtgui:5 needs x11-libs/libxcb with xkb enabled
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Library (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Qt Bug Alias
URL: https://codereview.qt-project.org/52793
Whiteboard:
Keywords:
Depends on: 471684
Blocks: qt5-porting
  Show dependency tree
 
Reported: 2013-05-28 15:28 UTC by Ostashevskyi Viktor
Modified: 2013-06-10 08:20 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ostashevskyi Viktor 2013-05-28 15:28:10 UTC
Qt5 xcb plugin will fallback to core X11 events with limited input support if libxcb-kxb is absent.

Reproducible: Always




Solution: add --enable-xkb to configure options of x11-libs/libxcb
Comment 1 Davide Pesavento gentoo-dev 2013-06-01 07:15:56 UTC
Ok so basically we just need to depend on >=libxcb-1.9.1[xkb] now, right?
Comment 2 Michael Palimaka (kensington) gentoo-dev 2013-06-01 16:02:08 UTC
(In reply to Davide Pesavento from comment #1)
> Ok so basically we just need to depend on >=libxcb-1.9.1[xkb] now, right?

I guess, there's no reason the user would not want this is there?
Comment 3 Ostashevskyi Viktor 2013-06-03 07:44:13 UTC
(In reply to Davide Pesavento from comment #1)
> Ok so basically we just need to depend on >=libxcb-1.9.1[xkb] now, right?

From what I could see in theirs Gerrit - yes.
Comment 4 Davide Pesavento gentoo-dev 2013-06-10 08:20:10 UTC
Fixed, thanks for reporting.